--
-- IHC 1455 XL
-- Spezialization um Hilfe ein- bzw. ausblenden zu knnen
-- 
--
-- Author  Friedrich L.  -  Skullman
-- Date 18. Dezember 2010
-- Web www.modding-society.de
--
-- Copyright (c) Friedrich L. - All Rights Reserved.
--

ShowHelp = {};

function ShowHelp.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Motorized, specializations);
end;

function ShowHelp:load(xmlFile)
	self.showHelp = false;
end;

function ShowHelp:delete()
end;

function ShowHelp:mouseEvent(posX, posY, isDown, isUp, button)
end;

function ShowHelp:keyEvent(unicode, sym, modifier, isDown)
end;

function ShowHelp:update(dt)
	if self:getIsActiveForInput() then
		if InputBinding.hasEvent(InputBinding.TOGGLE_SHOW_HELP) then
			self.showHelp = not self.showHelp;
		end;
	end;
end;



function ShowHelp:updateTick(dt)
end;


function ShowHelp:draw()
	if not self.showHelp then
		renderText(0.72, 0.25, 0.02, "Taste Numpad 0: Info Einschalten");
	 else
		-- Koordinaten sind aus der F930.lua - Author leider unbekannt
		renderText(0.72, 0.25, 0.02, "Stiskni Numpad 0: Zobrazit info");
		renderText(0.72, 0.86, 0.025, "- Zetor 10145 Info -");			
		renderText(0.72, 0.81, 0.02, "Stiskni Numpad 7: dvere L ");
		renderText(0.72, 0.79, 0.02, "Stiskni numpad 8: zadni okno ");			
		renderText(0.72, 0.77, 0.02, "Stiskni numpad 9: dvere P");
		renderText(0.72, 0.75, 0.02, "Stiskni 9: dvojmontaze");
		renderText(0.72, 0.73, 0.02, "stiskni numpad 1, 2, 3 smerovky");
        renderText(0.72, 0.54, 0.02, "by Ls2011OP");
	end;
end;

function ShowHelp:onLeave()
	self.showHelp = false;
end;




